from elasticsearch import Elasticsearch
import logging


class WigFields:
    def __init__(self, prod=False):
        self.doc_type = 'field'
        self.es = Elasticsearch(hosts='es1.vgt.vito.be')
        if prod:
            self.index = 'databio_fields'
        else:
            self.index = 'databio_fields-dev'

    @staticmethod
    def getParcelsByUser(id):
        query = \
            {
                "bool": {
                    "must": [
                        {
                            "term": {
                                "metadata.owner": id
                            }
                        },
                        {
                            "term": {
                                "applicationId": "databio"
                            }
                        }
                    ]
                }
            }
        try:
            return WigFields().es.search(index=WigFields().index, body={"query": query}, size=9999)["hits"]["hits"]

        except Exception as e:
            logging.critical("Unable to connect to ES. Error: %s " % e)